Bug 976517 - ValueError: cannot initialize a disk that has partitions
ValueError: cannot initialize a disk that has partitions
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
abrt_hash:b9d2ef320a61febdaf7e52423b5...
:
: 884377 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 13:50 EDT by A.J. Werkman
Modified: 2015-02-17 10:38 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:38:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (61.25 KB, text/plain)
2013-06-20 13:50 EDT, A.J. Werkman
no flags Details
File: environ (459 bytes, text/plain)
2013-06-20 13:50 EDT, A.J. Werkman
no flags Details
File: lsblk_output (1.56 KB, text/plain)
2013-06-20 13:50 EDT, A.J. Werkman
no flags Details
File: nmcli_dev_list (3.43 KB, text/plain)
2013-06-20 13:51 EDT, A.J. Werkman
no flags Details
File: os_info (179 bytes, text/plain)
2013-06-20 13:51 EDT, A.J. Werkman
no flags Details
File: program.log (33.00 KB, text/plain)
2013-06-20 13:51 EDT, A.J. Werkman
no flags Details
File: storage.log (99.98 KB, text/plain)
2013-06-20 13:51 EDT, A.J. Werkman
no flags Details
File: syslog (149.58 KB, text/plain)
2013-06-20 13:51 EDT, A.J. Werkman
no flags Details
File: ifcfg.log (567 bytes, text/plain)
2013-06-20 13:51 EDT, A.J. Werkman
no flags Details
File: packaging.log (667.08 KB, text/plain)
2013-06-20 13:51 EDT, A.J. Werkman
no flags Details
File: anaconda-tb (1.14 MB, text/plain)
2013-06-20 13:51 EDT, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2013-06-20 13:50:40 EDT
Version-Release number of selected component:
anaconda-19.30.9-1

The following was filed automatically by anaconda:
anaconda 19.30.9-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 810, in initializeDisk
    raise ValueError("cannot initialize a disk that has partitions")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2041, in _destroy_device
    self.__storage.initializeDisk(device.disk)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2148, in on_remove_clicked
    self._destroy_device(device)
ValueError: cannot initialize a disk that has partitions

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.repo=http://thlin.digifarma.nl/fedora/releases/19-TC6/Fedora/x86_64/os inst.stage2=hd:UUID=4b299b4e-9b24-405d-a822-6ee970449edf
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-TC6

Potential duplicate: bug 884377
Comment 1 A.J. Werkman 2013-06-20 13:50:46 EDT
Created attachment 763545 [details]
File: anaconda.log
Comment 2 A.J. Werkman 2013-06-20 13:50:50 EDT
Created attachment 763546 [details]
File: environ
Comment 3 A.J. Werkman 2013-06-20 13:50:54 EDT
Created attachment 763547 [details]
File: lsblk_output
Comment 4 A.J. Werkman 2013-06-20 13:51:00 EDT
Created attachment 763548 [details]
File: nmcli_dev_list
Comment 5 A.J. Werkman 2013-06-20 13:51:03 EDT
Created attachment 763549 [details]
File: os_info
Comment 6 A.J. Werkman 2013-06-20 13:51:08 EDT
Created attachment 763550 [details]
File: program.log
Comment 7 A.J. Werkman 2013-06-20 13:51:12 EDT
Created attachment 763551 [details]
File: storage.log
Comment 8 A.J. Werkman 2013-06-20 13:51:16 EDT
Created attachment 763552 [details]
File: syslog
Comment 9 A.J. Werkman 2013-06-20 13:51:20 EDT
Created attachment 763553 [details]
File: ifcfg.log
Comment 10 A.J. Werkman 2013-06-20 13:51:26 EDT
Created attachment 763554 [details]
File: packaging.log
Comment 11 A.J. Werkman 2013-06-20 13:51:35 EDT
Created attachment 763555 [details]
File: anaconda-tb
Comment 12 Brian Lane 2013-06-20 21:00:34 EDT
*** Bug 884377 has been marked as a duplicate of this bug. ***
Comment 13 Fedora End Of Life 2015-01-09 13:29:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 10:38:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.